---
title: FileHandle.getFile()
slug: Web/API/IDBMutableFile/getFile
tags:
  - API
  - Files
  - Method
  - Non Standard
  - Reference
  - WebAPI
---
<p>{{APIRef("File System API")}}{{non-standard_header}}</p>

<h2 id="Summary">Summary</h2>

<p>The <code>getFile</code> method allows to retrieve a read-only snapshot of the handled file in the form of a {{domxref("File")}} object.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var request = <em>instanceOfFileHandle</em>.getFile();</pre>

<h3 id="Return">Return</h3>

<p>A {{domxref("DOMRequest")}} object. In case of success, the request's <code>result</code> is a {{domxref("File")}} object.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('FileSystem')}}</td>
   <td>{{Spec2('FileSystem')}}</td>
   <td>Draft proposal</td>
  </tr>
 </tbody>
</table>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{domxref("FileHandle")}}</li>
</ul>
